<?php

/**
 * @file
 * Administer pages for exclude users.
 */

/**
 * Effectively the implementation of the old hook_settings().
 */
function excluded_users_admin_settings_form() {
  $form = array();

  // Get a display list of all users.
  $result = db_select('users')
    ->fields('users', array('name', 'mail', 'uid'))
    ->condition('uid', 0, '!=')
    ->addTag('excluded_users_bypass')->execute();

  $users = array();
  foreach ($result as $row) {
    $users[$row->uid] = t('@uid: @name (@email)', array('@uid' => $row->uid, '@name' => $row->name, '@email' => $row->mail));
  }

  // Build a form that lists the users.
  $form['excluded_users_users_to_exclude'] = array(
    '#type' => 'checkboxes',
    '#title' => t('Specific Users'),
    '#default_value' => variable_get('excluded_users_users_to_exclude', array()),
    '#options' => $users,
    '#description' => t('Selected users will be excluded in modules which make use of this module.'),
  );

  $form['excluded_users_exclude_rids'] = array(
    '#type' => 'checkboxes',
    '#title' => t('Roles'),
    '#default_value' => variable_get('excluded_users_exclude_rids', array()),
    '#options' =>  array_map('check_plain', user_roles()), 
    '#description' => t('Selected roles of users to exclude.'),
  );

  return system_settings_form($form);
}
